Package org.springframework.security.config.web.server

# Class ServerHttpSecurity.PasswordManagementSpec

java.lang.Object
org.springframework.security.config.web.server.ServerHttpSecurity.PasswordManagementSpec

Enclosing class:
  ServerHttpSecurity

public final class ServerHttpSecurity.PasswordManagementSpec extends Object
Configures password management.

Since:
  5.6
See Also:
  - `ServerHttpSecurity.passwordManagement()`

## Method Summary

Modifier and Type
Method
Description
`ServerHttpSecurity`
`and()`
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0.
`ServerHttpSecurity.PasswordManagementSpec`
`changePasswordPage(String changePasswordPage)`
Sets the change password page.
`protected void`
`configure(ServerHttpSecurity http)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### changePasswordPage

public ServerHttpSecurity.PasswordManagementSpec changePasswordPage(String changePasswordPage)
Sets the change password page. Defaults to `DEFAULT_CHANGE_PASSWORD_PAGE`.

Parameters:
  `changePasswordPage` - the change password page
Returns:
  the `ServerHttpSecurity.PasswordManagementSpec` to continue configuring

### and

@Deprecated(since="6.1", forRemoval=true) public ServerHttpSecurity and()
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0. Use `ServerHttpSecurity.passwordManagement(Customizer)` instead
Allows method chaining to continue configuring the `ServerHttpSecurity`.

Returns:
  the `ServerHttpSecurity` to continue configuring

### configure

protected void configure(ServerHttpSecurity http)